igeo.io

## Class IRhino3dm.Curve

- java.lang.Object
- - igeo.io.IRhino3dm.RhinoObject
  - - igeo.io.IRhino3dm.Geometry
    - - igeo.io.IRhino3dm.Curve

- Direct Known Subclasses:
    IRhino3dm.ArcCurve, IRhino3dm.CurveOnSurface, IRhino3dm.CurveProxy, IRhino3dm.LineCurve, IRhino3dm.NurbsCurve, IRhino3dm.PolyCurve, IRhino3dm.PolylineCurve
  Enclosing class:
    IRhino3dm

      public abstract static class IRhino3dm.Curve
      extends IRhino3dm.Geometry

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ICurveGeo` | `icurve`
    `static java.lang.String` | `uuid`

    - ### Fields inherited from class igeo.io.IRhino3dm.RhinoObject

      `attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData, userDataList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Curve()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICurveGeo` | `createIGeometry(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `IObject` | `createIObject(IRhino3dm.Rhino3dmFile context, IServerI s)`
    `ITrimCurve` | `createTrimCurve(IRhino3dm.Rhino3dmFile context, IServerI s, ISurfaceI srf)`
    `abstract IRhino3dm.Interval` | `domain()`
    `IRhino3dm.UUID` | `getClassUUID()`
    `int` | `getType()`
    `abstract boolean` | `isValid()`

    - ### Methods inherited from class igeo.io.IRhino3dm.RhinoObject

      `read, read, setAttributes, setAttributesToIObject, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### uuid

          public static final java.lang.String uuid

      See Also:
        Constant Field Values

    - #### icurve

          public ICurveGeo icurve

  - ### Constructor Detail

    - #### Curve

          public Curve()

  - ### Method Detail

    - #### getClassUUID

          public IRhino3dm.UUID getClassUUID()

      Overrides:
        `getClassUUID` in class `IRhino3dm.Geometry`

    - #### getType

          public int getType()

      Overrides:
        `getType` in class `IRhino3dm.RhinoObject`

    - #### domain

          public abstract IRhino3dm.Interval domain()

    - #### isValid

          public abstract boolean isValid()

    - #### createIObject

          public IObject createIObject(IRhino3dm.Rhino3dmFile context,
                                       IServerI s)

      Overrides:
        `createIObject` in class `IRhino3dm.RhinoObject`

    - #### createIGeometry

          public ICurveGeo createIGeometry(IRhino3dm.Rhino3dmFile context,
                                           IServerI s)

    - #### createTrimCurve

          public ITrimCurve createTrimCurve(IRhino3dm.Rhino3dmFile context,
                                            IServerI s,
                                            ISurfaceI srf)